// Top wrapper
.top-wrapper {
    background: url("../../../assets/images/3000.jpg") no-repeat;
    background-size: cover;
    height: 60vh;
    position: relative;
    box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);
}

.results {
    padding: 0 130px;
    height: 60px;
}

.logo {
    margin:0;
    padding: 0;
    left:50%;
    top:50%;
    background: black;
    color: white;
    padding: 20px;
    transform: translate(-50%, -50%);
    position: absolute;
    box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);

    & h1{
        font-size: 90px;
        padding: 20px 30px;
        margin: 0;
        z-index: 10;

    }

    & p {
        margin:0;
        text-align: center;
        text-transform: uppercase;
        letter-spacing: 5px;
        z-index: 0;
    }
}

// Searchbar
.searchbar {
    display: flex;
    justify-content: center;
    align-items: center;
    transform: translateY(-200%);

    input {
        width: 400px;
        font-size: 20px;
        outline: none !important;
        border: none !important;
        padding: 15px 20px;
        border-radius: 32px;
        margin: 0 5px;
        font-family: "Josefin Sans";
        box-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);
        position: relative;
    }

    .resultList {
        position: absolute;
        width: 400px;
        background: white;
        top:110%;
        left: 48%;
        transform: translateX(-50%);
        list-style: none;
        padding-left: 0;
        margin: 0;
        border-radius: 5px;
        box-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);

        li {
            padding: 20px 15px;
            font-size: 16px;
            transition: 300ms ease-in-out;
            border-top: 1px solid #eeeeee;
            border-bottom: 1px solid #eeeeee;

            &:first-child {
                border-radius: 5px 5px 0px 0px;
                border-top:none;
            }

            &:last-child {
                border-bottom: none;
                border-radius: 0px 0px 5px 5px;
            }

            &:hover {
                cursor: pointer;
                background: #3366ff;
                color:white
            }
        }
    }

    div {
        margin: 0 5px;
        color: white;
        background: black;
        width: 30px;
        height: 30px;
        padding:10px;
        display: flex;
        justify-content: center;
        align-items: center;
        border-radius: 50%;
        box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);
        transition: 300ms ease-in-out;

        &:hover {
            box-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);
            background-color: #484848;
            cursor: pointer;
        }
    }
}

.actions {
    display: flex;
    transform: translateY(-170%);
    justify-content: center;

    .fa {
        font-size: 30px;
        width: 40px;
        height: 40px;
        background: white;
        margin:5px;
        display: flex;
        justify-content: center;
        align-items: center;
        border-radius: 50%;
        padding: 10px;
        cursor: pointer;
        border:3px solid white;
        box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);
        transition: 300ms ease-in-out;

        &:hover {
            box-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);
            cursor: pointer;
            
            &.fa-code {
                color: #00DFC8;
                border-color: #00DFC8;
            }
            &.fa-trash {
                color: #004156;
                border-color: #004156;
            }
            &.fa-cut {
                color: #2398AB;
                border-color: #2398AB;
            }
        }
    }
}

.articles-container {
    margin-top: 45px;
    display: grid;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(260px, 400px));
    grid-gap: 15px;
    justify-content: center;
    padding: 0px 50px;

    .article-card {
        background: white;
        outline: none !important;
        // border:1px solid #e6e6e6;
        box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);
        // padding: 20px 30px;
        margin-bottom: 40px;
        transition: 300ms ease-in-out;

        .article-title {
            height: 120px;
            padding: 30px;
            background: black;
            color:white;
        }

        .article-summary {
            height: 150px;
            padding: 30px;
            font-size: 22px;
        }

        .article-footer {
            margin: 15px 25px;
            height: 70px;

            .btn {
                background: white;
                border: 1px solid black;
                display: inline;
                color: black;
                // border-radius: 2em;
                float: right;
                padding: 15px 25px;
                letter-spacing: 2px;
                transition: 200ms ease-in-out;

                &:hover{
                    background: black;
                    color: white;
                    cursor: pointer;
                    box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);
                }
            }
            
        }

        &:hover {
            box-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);
            cursor: pointer;
        }
    }
}